package de.qsqs.festtestgui;


import org.fest.swing.fixture.*;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;


public class FestTest {

	private FrameFixture window;

	@Before
	public void setUp() {
		window = new FrameFixture(new MyMainWindow());
		window.show();
	
	}

	@After
	public void tearDown() {
		window.cleanUp();
	}
	

	@Test
	public void clickingButtonCount() {
		
		window.button("Count").click();
		window.button("Count").click();
		
		window.label("lCounter").requireText("Counter : 2");
	
	}
	
	@Test
	public void clickingButtonReset() {
		
		window.button("Reset").click();
		window.button("Reset").click();
		
		window.label("lCounter").requireText("Counter : 0");
	
	}
	
	@Test
	public void checkComboBox(){
		
		window.comboBox("oComboBox").selectItem("Professor");
		window.comboBox("oComboBox").requireSelection("Professor");
	}
	
	@Test
	public void checkTextArea(){
		
		window.textBox("oTextArea").enterText("Testmeldung");
		window.textBox("oTextArea").requireText("Testmeldung");
	
		
	}
	
	@Test
	public void checkEinstellungMenu(){
		
		window.textBox("oTextField").requireText("");
			
		window.menuItem("oEinstellung").click();
		window.menuItem("oRadioSchwarz").click();
		
		window.textBox("oTextField").requireText("Schwarz");
		
		window.menuItem("oEinstellung").click();
		window.menuItem("oRadioWeiss").click();
		
		window.textBox("oTextField").requireText("Weiss");
	}
	
	@Test
	public void checkHideLabel(){
		
		window.label("lHide").requireVisible();
		
		window.menuItem("oEinstellung").click();
		window.menuItem("oCheckTrue").click();

	}
	
	

}
